.. AUTO-GENERATED FILE. DO NOT EDIT. /caferimo-purchase-orders-delete-one ==================================== Summary ------- - **Source repository:** ``jef-systems/jef-caferimo-backend`` - **Source SHA:** ``34c5a4f7f6891cb316e3bb2803081a3c35d4aa22`` - **Source run id:** ``25862680282`` - **Lambda function:** ``jef-caferimo-purchase-orders-delete-one`` - **HTTP method:** ``DELETE`` - **API path:** ``/caferimo-purchase-orders-delete-one`` - **Endpoint URL:** ``https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-purchase-orders-delete-one`` - **Payload mode:** ``json-body`` Description ----------- - ``Function``: jef-caferimo-purchase-orders-delete-one - ``Module``: jef-caferimo - ``Action``: delete-one - ``Method``: DELETE - ``Invocation Mode``: ASYNC - ``Resource Path``: /caferimo-purchase-orders-delete-one - ``Table``: jef-caferimo-purchase-orders - ``Primary Key``: purchase\_order\_id API Gateway Response -------------------- - ``status\_code``: 202 - ``message``: Request accepted for asynchronous processing. Payload Example --------------- - ``purchase\_order\_id``: 55268420-9914-4271-8cfd-d5b5da33e8f9 Payload Schema -------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.purchase_order_id.type", "value": "S" }, { "key": "root.attributes.purchase_order_id.required", "value": "True" }, { "key": "root.attributes.purchase_order_id.format", "value": "uuidv4" }, { "key": "root.attributes.purchase_order_id.regex", "value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$" } ] Response Schema --------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] Request Payload --------------- .. code-block:: json [ { "key": "purchase_order_id", "value": "55268420-9914-4271-8cfd-d5b5da33e8f9" } ] Response -------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] CMD curl -------- .. code-block:: bat curl -X DELETE "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-purchase-orders-delete-one" -H "Content-Type: application/json" --data-raw "{\"purchase_order_id\": \"55268420-9914-4271-8cfd-d5b5da33e8f9\"}" PowerShell curl --------------- .. code-block:: powershell curl.exe -X DELETE "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-purchase-orders-delete-one" -H "Content-Type: application/json" --data-raw '{"purchase_order_id": "55268420-9914-4271-8cfd-d5b5da33e8f9"}'